**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/18.1/rim-submissions-archive/retrieve-submission-metadata-mapping.md

# Retrieve Submission Metadata Mapping



Retrieve the metadata mapping values of an eCTD submission package.

<Endpoint path="/api/{version}/vobjects/submission__v/{submission_id}/actions/ectdmapping" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `text/csv` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{submission_id}` | The `id` field value of the `submission__v` object record. See [Retrieve Object Record Collection](/vault-api/api-reference/18.1/vault-objects/retrieve-object-record-collection) above. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/vobjects/submission__v/00S000000000101/actions/ectdmapping

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
 "responseStatus": "SUCCESS",
    "responseDetails": {
    "total": 2
    },
    "data": [
    {
      "name__v": "1675_00S000000000802",
      "external_id__v": null,
      "drug_substance__v":"Ethyl Alcohol",
      "drug_substance__v.name__v": "",
      "xml_id": "m2-3-s-drug-substance",
      "manufacturer__v":"Veeva",
      "manufacturer__v.name__v": ""
    },
    {
      "name__v": "1681_00S000000000802",
      "external_id__v": null,
      "nonclinical_study__v":"Study001",
      "nonclinical_study__v.name__v": "",
      "xml_id": "S001"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information for each XML metadata node which requires mapping:

<FieldTable>
| Field Name | Description |
| --- | --- |
| `name__v` | The name of the metadata mapping record in the submission metadata. |
| `external_id__v` | The external ID of the metadata mapping record. This value is only available if the mappings were created or updated externally. |
| `xml_id` | The XML ID (`leaf_id`) of the section being mapped. This is an identifier from the imported XML of the XML node. This is analogous to the `submission_metadata__v.tag_id__v`. |
</FieldTable>
Mapping Fields:

Possible mappings include: `clinical_site__v`, `clinical_study__v`, `drug_product__v`, `drug_substance__v`, `indication__v`, `manufacturer__v`, and `nonclinical_study__v`.

Mapping fields are returned as a pair of properties: a source property that has the mapping identifier from the imported XML and a second property as `[mapping].name__v` which specifies the target object record. If the second property is empty, the mapping has not been completed. See [Update Submission Metadata Mapping](/vault-api/api-reference/18.1/rim-submissions-archive/update-submission-metadata-mapping) below.



---

**Previous:** [Retrieve Submission Import Results](/regulatory/vault-api/api-reference/18.1/rim-submissions-archive/retrieve-submission-import-results)  
**Next:** [Update Submission Metadata Mapping](/regulatory/vault-api/api-reference/18.1/rim-submissions-archive/update-submission-metadata-mapping)